System.Web 2.0.0.0 System.Enum

The enumeration is used by the and methods of a implementation. When a session item is retrieved from the data store, the enumeration value indicates whether the session requires initialization or not based on a value stored with the data. The and methods set an parameter to a enumeration value based on this value retrieved with the session item. If the value of the parameter is set to , the initializes the session and executes the Session_OnStart event defined in the Global.asax file for the ASP.NET application. If the value of the parameter is , no additional steps are taken for the current session.

A session item created by the method is created with a value indicating that the item requires initialization and that the and methods should set the parameter to .

Identifies whether a session item from a data store is for a session that requires initialization.

- Field
  System.Web.SessionState.SessionStateActions

  The session item from the data store is for a session that requires initialization.

  2.0.0.0
- Field
  2.0.0.0
  System.Web.SessionState.SessionStateActions

  No initialization actions need to be performed by the calling code.